'===============================================================================
' Copyright 2014 Alachisoft.  All rights reserved.
'===============================================================================



Imports System
Imports System.Data
Imports System.Collections
Imports System.Runtime.CompilerServices
Imports System.Runtime.InteropServices
Imports TDevFramework

 Namespace NCacheSample

	Public Interface ICustomersCollection 
		
         Property item(ByVal index As Integer) As Customers
         Sub Add(ByRef objValue As Customers)
         Sub Remove(ByRef objValue As Customers)
         Function Contains(ByRef objValue As Customers) As Boolean
    End Interface
	

	< ClassInterface(ClassInterfaceType.AutoDual), Serializable()> _
	Public Class CustomersCollection
	    Inherits   Collection
	    Implements ICustomersCollection 
        Public Sub New()
            '--
        End Sub

		' <summary>
		' Gets the <c>Customers</c> object at the specified index.
		' </summary>
		' <value>The <c>Customers</c> object.</value>
        Default Public Shadows Property item(ByVal index As Integer) As Customers _
            Implements ICustomersCollection.item
            Get
                Return CType(MyBase.Item(index), Customers)
            End Get
			Set
				MyBase.Item(index) = value
			End Set
			
        End Property

        Public Overloads Sub Add(ByRef value As Customers) _
            Implements ICustomersCollection.Add

            MyBase.Add(value)
        End Sub

        Public Overloads Sub Remove(ByRef value As Customers) _
            Implements ICustomersCollection.Remove

            MyBase.Remove(value)
        End Sub

		' <summary>
		' If value is not of type object, this will return false.
		' </summary>
        Public Overloads Function Contains(ByRef value As Customers) As Boolean _
            Implements ICustomersCollection.Contains

            Return MyBase.Contains(value)
        End Function

    End Class
End Namespace